id: d7_entity_translation_settings
label: Drupal 7 Entity Translation settings
migration_tags:
  - Drupal 7
  - Configuration
  - Multilingual
source:
  plugin: d7_entity_translation_settings
process:
  id: id
  target_entity_type_id: target_entity_type_id
  target_bundle: target_bundle
  default_langcode:
    plugin: static_map
    source: default_langcode
    bypass: true
    map:
      xx-et-default: site_default
      xx-et-current: current_interface
      xx-et-author: authors_default
  language_alterable: language_alterable
  third_party_settings/content_translation/enabled:
    plugin: default_value
    default_value: true
  third_party_settings/content_translation/bundle_settings/untranslatable_fields_hide: untranslatable_fields_hide
destination:
  plugin: entity:language_content_settings
migration_dependencies:
  required:
    - language
  optional:
    - d7_comment_type
    - d7_node_type
    - d7_taxonomy_vocabulary
